directories
  '*.img' = '.\img';
  '*.ico' = 'C:\Program Files\Control Web 2000\ico';
  '*.bmp' = '.\img';
  '*.pcx' = '.\img';
  '*.jpg' = '.\img';
  '*.flc' = '.\img';
  '*.idr' = '.\img';
  '*.cp' = '.\prog';
  '*.cpx' = '.\prog';
  '*.cw' = '.\prog';
  '*.cwx' = '.\prog';
  '*.dmf' = 'C:\Program Files\Control Web 2000\dmf';
  '*.dmd' = '.\dmf';
  '*.par' = 'C:\Program Files\Control Web 2000\par';
  '*.dum' = '.\par';
  '*.wav' = '.\wav';
  '*.dbf' = '.\dbf';
end_directories;

settings
  operation_mode = real_time;
  input_timeout = 3;
  output_timeout = 3;
  time_error_limit = 3;
  paint_time_limit = 2;
  show_timing_info = true;
  skip_init_procedures = true;
end_settings;

const
end_const;

var
end_var;

driver
  pca = 'pca1608.dll', 'PCA1608.DMF', 'PCA1608.PAR';
end_driver;

channel
  k1 = real, 0, pca, input;
  k2 = real, 1, pca, input;
  k3 = real, 2, pca, input;
  k4 = real, 3, pca, input;
  k5 = real, 4, pca, input;
  k50 = boolean, 50, pca, input;
  k51 = boolean, 51, pca, input;
  k52 = boolean, 52, pca, input;
  k53 = boolean, 53, pca, input;
  k54 = boolean, 54, pca, input;
  k55 = boolean, 55, pca, input;
  k56 = boolean, 56, pca, input;
  k57 = boolean, 57, pca, input;
  k6 = real, 5, pca, input;
  k7 = real, 6, pca, input;
  k70 = boolean, 70, pca, output, false;
  k71 = boolean, 71, pca, output, false;
  k72 = boolean, 72, pca, output, false;
  k73 = boolean, 73, pca, output, false;
  k74 = boolean, 74, pca, output, false;
  k75 = boolean, 75, pca, output, false;
  k76 = boolean, 76, pca, output, false;
  k77 = boolean, 77, pca, output, false;
  k8 = real, 7, pca, input;
end_channel;

timer
end_timer;

instrument

  window panel backpane;
    rem = 'hlavn panel aplikace';
    owner = background;
    position = 3, 21, 794, 548;
    win_disable = zoom;
    win_title = 'PCA-1608A';
    visibility = false;
  end_panel;

  label label_2;
    owner = backpane;
    position = 652, 89;
    font = 'MS Sans Serif (Central European)', 10, bold;
    text = 'AIN7';
  end_label;

  label label_2;
    owner = backpane;
    position = 567, 89;
    font = 'MS Sans Serif (Central European)', 10, bold;
    text = 'AIN6';
  end_label;

  label label_2;
    owner = backpane;
    position = 482, 89;
    font = 'MS Sans Serif (Central European)', 10, bold;
    text = 'AIN5';
  end_label;

  label label_2;
    owner = backpane;
    position = 397, 89;
    font = 'MS Sans Serif (Central European)', 10, bold;
    text = 'AIN4';
  end_label;

  label label_2;
    owner = backpane;
    position = 312, 89;
    font = 'MS Sans Serif (Central European)', 10, bold;
    text = 'AIN3';
  end_label;

  label label_2;
    owner = backpane;
    position = 227, 89;
    font = 'MS Sans Serif (Central European)', 10, bold;
    text = 'AIN2';
  end_label;

  label label_2;
    owner = backpane;
    position = 142, 89;
    font = 'MS Sans Serif (Central European)', 10, bold;
    text = 'AIN1';
  end_label;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 652, 109, 80, 25;
    expression = k8;
    mode = text_display;
    range_from = -10000;
    range_to = 10000;
    low_limit = -10000;
    high_limit = 10000;
    dec_places = 3;
    font = 'Arial (Central European)', 14, normal;
    colors
      ink = lgreen;
      value = dgray;
      low_limit = dgray;
      high_limit = dgray;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 567, 109, 80, 25;
    expression = k7;
    mode = text_display;
    range_from = -10000;
    range_to = 10000;
    low_limit = -10000;
    high_limit = 10000;
    dec_places = 3;
    font = 'Arial (Central European)', 14, normal;
    colors
      ink = lgreen;
      value = dgray;
      low_limit = dgray;
      high_limit = dgray;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 482, 109, 80, 25;
    expression = k6;
    mode = text_display;
    range_from = -10000;
    range_to = 10000;
    low_limit = -10000;
    high_limit = 10000;
    dec_places = 3;
    font = 'Arial (Central European)', 14, normal;
    colors
      ink = lgreen;
      value = dgray;
      low_limit = dgray;
      high_limit = dgray;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 397, 109, 80, 25;
    expression = k5;
    mode = text_display;
    range_from = -10000;
    range_to = 10000;
    low_limit = -10000;
    high_limit = 10000;
    dec_places = 3;
    font = 'Arial (Central European)', 14, normal;
    colors
      ink = lgreen;
      value = dgray;
      low_limit = dgray;
      high_limit = dgray;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 312, 109, 80, 25;
    expression = k4;
    mode = text_display;
    range_from = -10000;
    range_to = 10000;
    low_limit = -10000;
    high_limit = 10000;
    dec_places = 3;
    font = 'Arial (Central European)', 14, normal;
    colors
      ink = lgreen;
      value = dgray;
      low_limit = dgray;
      high_limit = dgray;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 227, 109, 80, 25;
    expression = k3;
    mode = text_display;
    range_from = -10000;
    range_to = 10000;
    low_limit = -10000;
    high_limit = 10000;
    dec_places = 3;
    font = 'Arial (Central European)', 14, normal;
    colors
      ink = lgreen;
      value = dgray;
      low_limit = dgray;
      high_limit = dgray;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 142, 109, 80, 25;
    expression = k2;
    mode = text_display;
    range_from = -10000;
    range_to = 10000;
    low_limit = -10000;
    high_limit = 10000;
    dec_places = 3;
    font = 'Arial (Central European)', 14, normal;
    colors
      ink = lgreen;
      value = dgray;
      low_limit = dgray;
      high_limit = dgray;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 57, 109, 80, 25;
    expression = k1;
    mode = text_display;
    range_from = -10000;
    range_to = 10000;
    low_limit = -10000;
    high_limit = 10000;
    dec_places = 3;
    font = 'Arial (Central European)', 14, normal;
    colors
      ink = lgreen;
      value = dgray;
      low_limit = dgray;
      high_limit = dgray;
    end_colors;
  end_meter;

  label label_2;
    owner = backpane;
    position = 57, 89;
    font = 'MS Sans Serif (Central European)', 10, bold;
    text = 'AIN0';
  end_label;

  label label_2;
    owner = backpane;
    position = 672, 234;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = '7';
  end_label;

  label label_2;
    owner = backpane;
    position = 517, 234;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = '0';
  end_label;

  label label_2;
    owner = backpane;
    position = 422, 254;
    font = 'MS Sans Serif (Central European)', 10, bold;
    text = 'DOUT0-7';
  end_label;

  switch switch_3;
    owner = backpane;
    position = 517, 249, 21, 21;
    output = k70;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 537, 249, 21, 21;
    output = k71;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 557, 249, 21, 21;
    output = k72;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 577, 249, 21, 21;
    output = k73;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 612, 249, 21, 21;
    output = k74;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 632, 249, 21, 21;
    output = k75;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 652, 249, 21, 21;
    output = k76;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 672, 249, 21, 21;
    output = k77;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  label label_2;
    owner = backpane;
    position = 232, 49;
    font = 'MS Sans Serif (Central European)', 12, bold;
    text = '16/22-bit. ADC karta s optickou izolac';
    colors
      ink = lblue;
    end_colors;
  end_label;

  label label_2;
    owner = backpane;
    position = 327, 14;
    font = 'MS Sans Serif (Central European)', 17, bold;
    text = 'PCA-1608A';
    colors
      ink = lred;
    end_colors;
  end_label;

  label label_2;
    owner = backpane;
    position = 277, 239;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = '7';
  end_label;

  label label_2;
    owner = backpane;
    position = 127, 239;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = '0';
  end_label;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 277, 254;
    expression = k57;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 257, 254;
    expression = k56;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 237, 254;
    expression = k55;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 217, 254;
    expression = k54;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 187, 254;
    expression = k53;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 167, 254;
    expression = k52;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 147, 254;
    expression = k51;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  label label_2;
    owner = backpane;
    position = 52, 254;
    font = 'MS Sans Serif (Central European)', 10, bold;
    text = 'DIN0-7';
  end_label;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 127, 254;
    expression = k50;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  program startup;
    
    procedure OnActivate();
    begin
      backpane.NewRect( WorkX, WorkY, WorkW, WorkD );
      backpane.Show();
      backpane.Select();
    end_procedure;
    
  end_program;

end_instrument;

